ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.ILoggerFeatures Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.ILoggerFeatures:

## Public Member Functions
float | GetLoggerMaximumSamplingRate ()
| Returns maximum Sampling rate in Hz which the logger logs values.
float | GetLoggerMinimumSamplingRate ()
| Returns minimum Sampling rate in Hz which the logger logs values.
float | GetLoggerSamplingRate ()
| Returns Sampling rate in Hz which the logger logs values.
void | SetLoggerSamplingRate (float samplingRate)
| Set Sampling rate in Hz which the logger logs values.
void | SetLoggedRegisterAddress (int registerNumber, ushort registerAddress)
| Set Address of register to log in the corresponding vector.
int | GetLoggedRegisterAddress (int registerNumber)
| Returns Address of register to log in the corresponding vector.
void | StartLogger ()
| Set true to start logging, will be set to false after the memory is filled.
void | StopLogger ()
| Stop logger.
float[] | ReadLoggerRegisterLog (int registerNumber, int startIndex, int numberOfLoggedValues)
| Returns Logged values for corresponding registers.

## Member Function Documentation

## ◆ GetLoggedRegisterAddress()

int ICC4cPwmSdk.Device.ILoggerFeatures.GetLoggedRegisterAddress | ( | int | registerNumber | ) |

Returns Address of register to log in the corresponding vector.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetLoggerMaximumSamplingRate()

float ICC4cPwmSdk.Device.ILoggerFeatures.GetLoggerMaximumSamplingRate | ( |  | ) |

Returns maximum Sampling rate in Hz which the logger logs values.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetLoggerMinimumSamplingRate()

float ICC4cPwmSdk.Device.ILoggerFeatures.GetLoggerMinimumSamplingRate | ( |  | ) |

Returns minimum Sampling rate in Hz which the logger logs values.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetLoggerSamplingRate()

float ICC4cPwmSdk.Device.ILoggerFeatures.GetLoggerSamplingRate | ( |  | ) |

Returns Sampling rate in Hz which the logger logs values.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ ReadLoggerRegisterLog()

float[] ICC4cPwmSdk.Device.ILoggerFeatures.ReadLoggerRegisterLog | ( | int | registerNumber,
|  | int | startIndex,
|  | int | numberOfLoggedValues )

Returns Logged values for corresponding registers.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetLoggedRegisterAddress()

void ICC4cPwmSdk.Device.ILoggerFeatures.SetLoggedRegisterAddress | ( | int | registerNumber,
|  | ushort | registerAddress )

Set Address of register to log in the corresponding vector.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetLoggerSamplingRate()

void ICC4cPwmSdk.Device.ILoggerFeatures.SetLoggerSamplingRate | ( | float | samplingRate | ) |

Set Sampling rate in Hz which the logger logs values.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ StartLogger()

void ICC4cPwmSdk.Device.ILoggerFeatures.StartLogger | ( |  | ) |

Set true to start logging, will be set to false after the memory is filled.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ StopLogger()

void ICC4cPwmSdk.Device.ILoggerFeatures.StopLogger | ( |  | ) |

Stop logger.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/ICC4cPwmSdkDeviceController.cs